/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Cranial Nerves
 */
public enum EnumCV_CranialNerves {

	//Cranial Nerves - CID 7706
	OLFACTORY_TRACT_T_A2920("T-A2920"),
	OPTIC_NERVE_T_A8040("T-A8040"),
	OCULOMOTOR_NERVE_T_A8070("T-A8070"),
	TROCHLEAR_NERVE_T_A8110("T-A8110"),
	TRIGEMINAL_NERVE_T_A8150("T-A8150"),
	ABDUCENS_NERVE_T_A8130("T-A8130"),
	FACIAL_NERVE_T_A8410("T-A8410"),
	VESTIBULOCOCHLEAR_NERVE_T_A8500("T-A8500"),
	GLOSSOPHARYNGEAL_NERVE_T_A8570("T-A8570"),
	VAGUS_NERVE_T_A8640("T-A8640"),
	ACCESSORY_NERVE_T_A8780("T-A8780"),
	HYPOGLOSSAL_NERVE_T_A8820("T-A8820");

	private String value;

	EnumCV_CranialNerves(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
